summaryrefslogtreecommitdiff
path: root/dev-python/pygit2/pygit2-0.27.4.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-01-20 10:38:37 +0100
committerMichał Górny <mgorny@gentoo.org>2019-01-20 11:41:50 +0100
commit3cd5165d0e39a997188cb128c634beed3e531df7 (patch)
tree548dbb82e85740227e16646cbdc95ed18c1c2d56 /dev-python/pygit2/pygit2-0.27.4.ebuild
parentfc3afa73cc710944770e1d0a280a691afb4e45f7 (diff)
downloadgentoo-3cd5165d0e39a997188cb128c634beed3e531df7.tar.gz
gentoo-3cd5165d0e39a997188cb128c634beed3e531df7.tar.bz2
gentoo-3cd5165d0e39a997188cb128c634beed3e531df7.zip
dev-python/pygit2: Bump to 0.27.4
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/pygit2/pygit2-0.27.4.ebuild')
-rw-r--r--dev-python/pygit2/pygit2-0.27.4.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/pygit2/pygit2-0.27.4.ebuild b/dev-python/pygit2/pygit2-0.27.4.ebuild
new file mode 100644
index 0000000000000..bc0bb7e5f0aa2
--- /dev/null
+++ b/dev-python/pygit2/pygit2-0.27.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1 eapi7-ver
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ =dev-libs/libgit2-$(ver_cut 1-2)*
+ >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i -e '/pycparser/s:<2.18::' setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ pytest -vv --import-mode=append test || die
+}